package test.org.itscool.commons.util;
import java.io.File;
import java.io.FileWriter;

import org.itscool.commons.util.TempFileManager;

/*
 * 作成日: 2006/10/26
 */

/**
 * @author Michiaki_Kano
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class SampleTmpFile3 {

    public static void main(String[] args) throws Exception {
        System.out.println("======= < "+SampleTmpFile3.class.getName() + "> テスト開始 =======");
        
        //個々のアプリケーションからTempFileManagerを使用する手順はごく簡単です。
        //前回の実行後に放置されているファイルをこのテンポラリファイルマネージャ
        //で確実に削除するには、このクラスをJVMに強制的にロードさせます。
        Class.forName(TempFileManager.class.getName());

//        System.out.println(System.getProperty("java.io.tmpdir"));
        closeTmpFile();
        Thread.sleep(3000);
        
        System.out.println("しばらく待ちます");
        Thread.sleep(10000);
        System.out.println("======= < "+SampleTmpFile.class.getName() + "> テスト終了 =======");
    }
    
    public static void closeTmpFile() throws Exception{
        File tempFile = TempFileManager.createTempFile("myApp", ".tmp");
        tempFile.deleteOnExit();
        
        System.out.println("------- < closeTmpFile() > ファイルオープン -------");
        System.out.println(tempFile.getAbsolutePath());
        FileWriter fw = new FileWriter(tempFile);
        fw.write("hello");
        
        fw.close();
        System.out.println("------- < closeTmpFile() > ファイルクローズ -------");
    }
    
}
